Organization (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Organization interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Organization

All Superinterfaces:
  ManagedElement, ModelObject, OrganizationalEntity, java.io.Serializable

    public interface Organization

extends OrganizationalEntity

An activity that has a well-defined calling structure, such as a method on an object or a specific request of a service.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Collection[]` | `getCollection()`
`java.lang.String` | `getCommonName()`
`ITSystem[]` | `getItsystem()`
`OrganizationalEntity[]` | `getMembers()`
`Role` | `getRole()`
`boolean` | `hasCollection()`
`boolean` | `hasCommonName()`
`boolean` | `hasItsystem()`
`boolean` | `hasMembers()`
`boolean` | `hasRole()`
`void` | `setCollection(Collection[] x)`
`void` | `setCommonName(java.lang.String x)`
`void` | `setItsystem(ITSystem[] x)`
`void` | `setMembers(OrganizationalEntity[] x)`
`void` | `setRole(Role x)`

Methods inherited from interface com.collation.platform.model.topology.process.OrganizationalEntity
`getAssignedContactpurpose, getAssignedRoles, getBusinessCategory, getCAGECode, getContactpurposeOwner, getDUNSNumber, getEmail, getEntityName, getFax, getGlobalName, getISICCode, getManager, getManagingEntity, getMobilePhone, getNAICSCode, getName, getNAPCSCode, getNote, getOwnedPurpose, getSICCode, getSupportedPurpose, getSupportingContactPurpose, getTitle, getType, getURL, getWorkPhone, hasAssignedContactpurpose, hasAssignedRoles, hasBusinessCategory, hasCAGECode, hasContactpurposeOwner, hasDUNSNumber, hasEmail, hasEntityName, hasFax, hasGlobalName, hasISICCode, hasManager, hasManagingEntity, hasMobilePhone, hasNAICSCode, hasName, hasNAPCSCode, hasNote, hasOwnedPurpose, hasSICCode, hasSupportedPurpose, hasSupportingContactPurpose, hasTitle, hasType, hasURL, hasWorkPhone, setAssignedContactpurpose, setAssignedRoles, setBusinessCategory, setCAGECode, setContactpurposeOwner, setDUNSNumber, setEmail, setEntityName, setFax, setGlobalName, setISICCode, setManager, setManagingEntity, setMobilePhone, setNAICSCode, setName, setNAPCSCode, setNote, setOwnedPurpose, setSICCode, setSupportedPurpose, setSupportingContactPurpose, setTitle, setType, setURL, setWorkPhone`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getMembers

    OrganizationalEntity[] getMembers()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setMembers

    void setMembers(OrganizationalEntity[] x)

### hasMembers

    boolean hasMembers()

### getCommonName

    java.lang.String getCommonName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCommonName

    void setCommonName(java.lang.String x)

### hasCommonName

    boolean hasCommonName()

### getItsystem

    ITSystem[] getItsystem()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setItsystem

    void setItsystem(ITSystem[] x)

### hasItsystem

    boolean hasItsystem()

### getRole

    Role getRole()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setRole

    void setRole(Role x)

### hasRole

    boolean hasRole()

### getCollection

    Collection[] getCollection()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="false"

### setCollection

    void setCollection(Collection[] x)

### hasCollection

    boolean hasCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD